<template lang="pug">
.row.items-center.full-width
  .col-auto
    q-toggle(v-model='data.visible', @input='updateVisible()')
  .col
    q-input(v-model='data.src', outlined, dense, rounded, placeholder='URL of asset to display')
      template(v-slot:after)
        q-btn(icon='sync', flat, dense, @click='save()')
          q-tooltip Update URL
</template>

<script>
export default {
  name: 'Dashboard',
  props: {
    firebase: {
      required: true,
    },
    context: {
      required: false,
    },
  },
  data: () => {
    return {
      iframe: {},
      data: {},
    };
  },
  computed: {},
  methods: {
    async updateVisible() {
      await this.firebase.ref(`data/iframe/${this.context.meetingid}/visible`).set(this.data.visible);
    },
    async save() {
      await this.firebase.ref(`data/iframe/${this.context.meetingid}/src`).set(this.data.src);
    },
  },
  watch: {
    firebase: {
      immediate: true,
      async handler() {
        // this.$rtdbBind(
        //   'iframe',
        //   this.firebase.ref(`config/${this.context.meetingid}/current/currentState/plugins/iframe`),
        // );
        this.$rtdbBind('data', this.firebase.ref(`data/iframe/${this.context.meetingid}`));
      },
    },
  },
};
</script>